Bug 1323832 (kf5-kactivities-stats) - Review Request: kf5-kactivities-stats - A KDE Frameworks 5 Tier 3 library for accessing the usage data collected by the activities system
Summary: Review Request: kf5-kactivities-stats - A KDE Frameworks 5 Tier 3 library for...
Keywords:
Status: CLOSED ERRATA
Alias: kf5-kactivities-stats
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: William Moreno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: kde-reviews plasma5
TreeView+ depends on / blocked
 
Reported: 2016-04-04 21:33 UTC by Rex Dieter
Modified: 2016-05-07 11:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-07 11:58:02 UTC
williamjmorenor: fedora-review+


Attachments (Terms of Use)

Description Rex Dieter 2016-04-04 21:33:19 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/kf5/kf5-kactivities-stats.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/kf5/kf5-kactivities-stats-5.21.0-1.fc24.src.rpm
Description: A KDE Frameworks 5 Tier 3 library for accessing the usage data collected by the activities system.
Fedora Account System Username: rdieter

Comment 1 Rex Dieter 2016-04-04 21:34:09 UTC
scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=13557835

Comment 2 Rex Dieter 2016-04-15 18:36:14 UTC
reviewer ping. :)

Comment 3 William Moreno 2016-04-15 23:22:48 UTC
Package Review
==============


1. kf5-kactivities-stats.x86_64: W: no-documentation
You can include MAINTAINER README.developers and TODO with %%docs

2. [!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/qt5,
     /usr/include/KF5, /usr/lib64/qt5/mkspecs, /usr/lib64/cmake,
     /usr/lib64/qt5/mkspecs/modules

Also rpmlint shows:
kf5-kactivities-stats-devel.x86_64: W: only-non-binary-in-usr-lib
kf5-kactivities-stats.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libKF5ActivitiesStats.so.5.21.0 /lib64/libm.so.6
kf5-kactivities-stats.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libKF5ActivitiesStats.so.5.21.0 /lib64/libgcc_s.so.1

3. [!]: %check is present and all tests pass.
Source tarball hace a test directory than should be run in %check

4. Some rpmlint issues:
kf5-kactivities-stats.x86_64: W: summary-ended-with-dot C A KDE Frameworks 5 Tier 3 library for accessing the usage data collected by the activities system.
kf5-kactivities-stats.x86_64: E: summary-too-long C A KDE Frameworks 5 Tier 3 library for accessing the usage data collected by the activities system.
kf5-kactivities-stats.x86_64: E: description-line-too-long C A KDE Frameworks 5 Tier 3 library for accessing the usage data collected by the activities system..

===== MUST items =====
C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====
Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: kf5-kactivities-stats-5.21.0-1.fc23.x86_64.rpm
          kf5-kactivities-stats-devel-5.21.0-1.fc23.x86_64.rpm
          kf5-kactivities-stats-debuginfo-5.21.0-1.fc23.x86_64.rpm
          kf5-kactivities-stats-5.21.0-1.fc23.src.rpm
kf5-kactivities-stats.x86_64: W: summary-ended-with-dot C A KDE Frameworks 5 Tier 3 library for accessing the usage data collected by the activities system.
kf5-kactivities-stats.x86_64: E: summary-too-long C A KDE Frameworks 5 Tier 3 library for accessing the usage data collected by the activities system.
kf5-kactivities-stats.x86_64: E: description-line-too-long C A KDE Frameworks 5 Tier 3 library for accessing the usage data collected by the activities system..
kf5-kactivities-stats.x86_64: W: no-documentation
kf5-kactivities-stats-devel.x86_64: W: only-non-binary-in-usr-lib
kf5-kactivities-stats-devel.x86_64: W: no-documentation
kf5-kactivities-stats.src: W: summary-ended-with-dot C A KDE Frameworks 5 Tier 3 library for accessing the usage data collected by the activities system.
kf5-kactivities-stats.src: E: summary-too-long C A KDE Frameworks 5 Tier 3 library for accessing the usage data collected by the activities system.
kf5-kactivities-stats.src: E: description-line-too-long C A KDE Frameworks 5 Tier 3 library for accessing the usage data collected by the activities system..
4 packages and 0 specfiles checked; 4 errors, 5 warnings.

Rpmlint (debuginfo)
-------------------
Checking: kf5-kactivities-stats-debuginfo-5.21.0-1.fc23.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
kf5-kactivities-stats-devel.x86_64: W: only-non-binary-in-usr-lib
kf5-kactivities-stats-devel.x86_64: W: no-documentation
kf5-kactivities-stats.x86_64: W: summary-ended-with-dot C A KDE Frameworks 5 Tier 3 library for accessing the usage data collected by the activities system.
kf5-kactivities-stats.x86_64: E: summary-too-long C A KDE Frameworks 5 Tier 3 library for accessing the usage data collected by the activities system.
kf5-kactivities-stats.x86_64: E: description-line-too-long C A KDE Frameworks 5 Tier 3 library for accessing the usage data collected by the activities system..
kf5-kactivities-stats.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libKF5ActivitiesStats.so.5.21.0 /lib64/libm.so.6
kf5-kactivities-stats.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libKF5ActivitiesStats.so.5.21.0 /lib64/libgcc_s.so.1
kf5-kactivities-stats.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 2 errors, 6 warnings.

Requires
--------
kf5-kactivities-stats-debuginfo (rpmlib, GLIBC filtered):

kf5-kactivities-stats-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    kf5-kactivities-stats(x86-64)
    libKF5ActivitiesStats.so.1()(64bit)

kf5-kactivities-stats (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libKF5Activities.so.5()(64bit)
    libKF5ConfigCore.so.5()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5DBus.so.5()(64bit)
    libQt5Sql.so.5()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

Provides
--------
kf5-kactivities-stats-debuginfo:
    kf5-kactivities-stats-debuginfo
    kf5-kactivities-stats-debuginfo(x86-64)

kf5-kactivities-stats-devel:
    cmake(KF5ActivitiesStats)
    kf5-kactivities-stats-devel
    kf5-kactivities-stats-devel(x86-64)
    pkgconfig(libKActivitiesStats)

kf5-kactivities-stats:
    kf5-kactivities-stats
    kf5-kactivities-stats(x86-64)
    libKF5ActivitiesStats.so.1()(64bit)

Source checksums
----------------
http://download.kde.org/stable/frameworks/5.21/kactivities-stats-5.21.0.tar.xz :
  CHECKSUM(SHA256) this package     : 0e7bd822ddb9f110e0a0d79afe3332066c6466347e608ded7a0f6411d00aa06d
  CHECKSUM(SHA256) upstream package : 0e7bd822ddb9f110e0a0d79afe3332066c6466347e608ded7a0f6411d00aa06d

Comment 4 Rex Dieter 2016-04-16 15:49:46 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/kf5/kf5-kactivities-stats.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/kf5/kf5-kactivities-stats-5.21.0-2.fc24.src.rpm

%changelog
* Sat Apr 16 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.21.0-2
- add %%check section (mostly nothing right now)
- fix summary
- more %%doc's
- Requires: kf5-filesystem
- -devel: Requires: qt5-qtbase-devel

I think that should address the issues raised, please let me know if I missed anything.

Comment 5 Rex Dieter 2016-04-18 19:06:14 UTC
ping reviewer for feedback on latest submission, thanks.

Comment 6 Rex Dieter 2016-04-20 12:59:35 UTC
blocking plasma5 too, seems this is needed for proper kickoff -> history/recent-apps support

Comment 7 William Moreno 2016-04-21 19:15:26 UTC
Looks good for me.

Aproved.

Comment 8 Fedora Update System 2016-04-23 22:09:45 UTC
kf5-kactivities-stats-5.21.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cf31130ed7

Comment 9 Fedora Update System 2016-04-23 22:10:26 UTC
kf5-kactivities-stats-5.21.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e8ca16cb0e

Comment 10 Fedora Update System 2016-04-24 01:24:06 UTC
kf5-kactivities-stats-5.21.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cf31130ed7

Comment 11 Fedora Update System 2016-04-24 06:22:36 UTC
kf5-kactivities-stats-5.21.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e8ca16cb0e

Comment 12 Fedora Update System 2016-05-02 18:53:35 UTC
kf5-kactivities-stats-5.21.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-05-07 11:58:00 UTC
kf5-kactivities-stats-5.21.0-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.